Subject: Re: Bob Wind Collection

From: Paul Opler <[email-masked]>
Date: Mon, 24 Jun 1996 08:36:59 -0600

Re: Bob Wind collection: the last I heard was that Bob had an
         affair with his partner's wife and skipped to Mexico. He
         lived in Chiapas for quite a few years and did some good
         collecting there. His wife Clo Wind kept the business going
         after Bob's departure and had control of the collection. I
         never heard about its eventual disposition. You might ask the
         California Academy of Science Department of Entomology (Dr.
         Paul Arnaud).  Paul Opler